summaryrefslogtreecommitdiff
path: root/evdevtest/juice_evtest.sh
diff options
context:
space:
mode:
authorBintian Wang <bintian.wang@linaro.org>2013-07-17 00:37:53 +0800
committerBintian Wang <bintian.wang@linaro.org>2013-07-17 00:37:53 +0800
commit199e6f6bed4b08f4f20f7e9a8587e7cbd339630f (patch)
treefb2f009de702b56aa856780257a3060796c448a4 /evdevtest/juice_evtest.sh
parent96a4aa362c19afb29a56b6f134fc7c94e363f1da (diff)
downloadlinaro-android-kernel-test-199e6f6bed4b08f4f20f7e9a8587e7cbd339630f.tar.gz
Add input evdev test cases
Signed-off-by: Bintian Wang <bintian.wang@linaro.org>
Diffstat (limited to 'evdevtest/juice_evtest.sh')
-rw-r--r--evdevtest/juice_evtest.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/evdevtest/juice_evtest.sh b/evdevtest/juice_evtest.sh
new file mode 100644
index 0000000..2654ec1
--- /dev/null
+++ b/evdevtest/juice_evtest.sh
@@ -0,0 +1,27 @@
+#!/system/bin/sh
+
+rc=0
+
+insmod /system/modules/juice_input_test_module.ko
+rc=$?
+if [ $rc -ne 0 ]; then
+ echo "Insmod juice input kernel module failed!"
+fi
+
+N=`dmesg |grep Juice|awk -F '' '{print $NF}'`
+
+echo "Evdev IOCTL CMD TEST START"
+juice_evtest -p /dev/input/event$N
+rc=$?
+if [ $rc -ne 0 ]; then
+ echo "Evdev IOCTL CMD TEST FAIL!"
+else
+ echo "EVDEV IOCTL CMD TEST FINISH"
+fi
+
+rmmod juice_input_test_module
+rc=$?
+if [ $rc -ne 0 ]; then
+ echo "Remove juice input kernel module failed!"
+fi
+